Subject: [6lowpan] Application Design Space

From: "Pereira, Luis R" <[email-masked]>
Date: Wed, 3 Aug 2005 18:20:32 -0500

Hi,

I learned about this effort just very recently and took me some time to read the documents posted. I hope this can be read on time for the Thursday meeting and be of value.

The fact that people are talking about “plug and play” routing schemes and wondering how to tackle the addressing issue are indicators of how vague is our collective concept of the “application design space” for a set of future IPv6/802.15.4 nodes. From the little I know by doing some applications using 15.4, I suggest in the following table a starting point for describing such space (including some “reasonable” granularity for each parameter, subject to review). The idea is to be able to roughly map each of the known applications and use cases in this application design space. 

 Application Design Space for IPv6/802.15.4 nodes

Address Space                         1bit      8bits      16bits      32bits      64bits

Mean Time Between Battery Replacement      1wk      1m      6m      1y      >3y

Traffic per Producer (Erlangs)         1/1E6      1/1E4      1/100      1/10      1

Performance Goal (I.e. PER, latency)      90%      99%      99.99%      99.999%     100%

FFD-to-TotalNodes Ratio                   <1%      25%      50%      75%      100%

Mobile Nodes-to-TotalNodes Ratio       <1%      25%      50%      75%      100%

Producers/Consumers Radio             1/100      1/10      1      10      100

Maximum Number of Hops                    1      2      5      10      unlim

Mobility (Mean Link Change Time)            10ms      1s      1m      1h      1wk

Under this view, our choosing of particular addressing/routing/discovery strategies at design time are aimed to a projection of this application space. I think the IP compression scheme can basically exploit this knowledge about the projection, making the solution optimal in many cases.

I hope this helps to clarify some issues,

  Luis R. Pereira

  Lead Engineer

  Embedded Systems and Communications Group

  Innovation Center - Eaton Corporation

  4201 North 27th Street

  Milwaukee, WI. 53216

  Phone: 414-4497740

  Fax  : 414-4496131

   mailto:[email-masked] 

   http://ic.eaton.com
_______________________________________________
6lowpan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/6lowpan